'''
2016-01-20 Erik Chang 
	For demo of mccio2 (write to port with 0~15)
	0:NONE 			(00000000)
	1:LED #1		(00000001) 
	2:LED #2		(00000010)
	3:LED #1&2		(00000011)
	4:LED #3		(00000100)
	5:LED #1&3		(00000101)
	6:LED #2&3		(00000110)
	7:LED #1&2&3	(00000111)

'''

from mccio2 import *

#set up the digital I/O object
#set it to writing mode
mcc = dio(UL.DIGITALOUT, 0) 
#the codes above go before the trial loop

#the codes below are suppose to be used on every trial to 
# trigger the MOCAP & GOGGLE
mcc.write(0) #all out
raw_input('Turning all LED out. Press enter to continue...')

mcc.write(1) #LED#1 ON
raw_input('Turning on LED#1. Press enter to continue...')

mcc.write(5) #LED#1&3 ON
raw_input('Turning on LED#1&3. Press enter to continue...')